Skip to main content
PATCH
/
v1
/
payments
/
{payment_id}
/
disputes
/
{dispute_id}
Update dispute
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/payments/{payment_id}/disputes/{dispute_id} \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "evidence": {
    "description": "Order was delivered on 2026-02-28",
    "documents": [
      "https://example.com/proof-of-delivery.pdf"
    ]
  },
  "status": "EVIDENCE_SUBMITTED"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": {
    "currency": "BRL",
    "value": 100
  },
  "reason": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Path Parameters

payment_id
string<uuid>
required

The unique identifier of the payment

dispute_id
string<uuid>
required

The unique identifier of the dispute

Body

application/json
evidence
object
status
enum<string>

New dispute status

Available options:
EVIDENCE_SUBMITTED,
ACCEPTED

Response

Dispute updated successfully

id
string<uuid>
payment_id
string<uuid>
status
enum<string>
Available options:
OPEN,
EVIDENCE_SUBMITTED,
WON,
LOST,
ACCEPTED
amount
object
Example:
{ "currency": "BRL", "value": 100 }
reason
string
created_at
string<date-time>
updated_at
string<date-time>